Upstream information

CVE-2020-8287 at MITRE

Description

Node.js versions before 10.23.1, 12.20.1, 14.15.4, 15.5.1 allow two copies of a header field in an HTTP request (for example, two Transfer-Encoding header fields). In this case, Node.js identifies the first header field and ignores the second. This can lead to HTTP Request Smuggling.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.4
Vector AV:N/AC:L/Au:N/C:P/I:P/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.5 6.5
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:N CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:N
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact Low Low
Integrity Impact Low Low
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1180554 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • nodejs10 >= 10.23.1-1.30.1
  • nodejs10-devel >= 10.23.1-1.30.1
  • nodejs10-docs >= 10.23.1-1.30.1
  • npm10 >= 10.23.1-1.30.1
Patchnames:
SUSE-SLE-Product-HPC-15-2021-60
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP3
  • nodejs10 >= 10.23.1-1.30.1
  • nodejs10-devel >= 10.23.1-1.30.1
  • nodejs10-docs >= 10.23.1-1.30.1
  • npm10 >= 10.23.1-1.30.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP3-2021-60
SUSE Linux Enterprise Module for Web Scripting 12
  • nodejs10 >= 10.23.1-1.33.1
  • nodejs10-devel >= 10.23.1-1.33.1
  • nodejs10-docs >= 10.23.1-1.33.1
  • nodejs12 >= 12.20.1-1.26.1
  • nodejs12-devel >= 12.20.1-1.26.1
  • nodejs12-docs >= 12.20.1-1.26.1
  • nodejs14 >= 14.15.4-6.6.1
  • nodejs14-devel >= 14.15.4-6.6.1
  • nodejs14-docs >= 14.15.4-6.6.1
  • npm10 >= 10.23.1-1.33.1
  • npm12 >= 12.20.1-1.26.1
  • npm14 >= 14.15.4-6.6.1
Patchnames:
SUSE-SLE-Module-Web-Scripting-12-2021-107
SUSE-SLE-Module-Web-Scripting-12-2021-68
SUSE-SLE-Module-Web-Scripting-12-2021-82
SUSE Linux Enterprise Module for Web Scripting 15 SP1
  • nodejs10 >= 10.23.1-1.30.1
  • nodejs10-devel >= 10.23.1-1.30.1
  • nodejs10-docs >= 10.23.1-1.30.1
  • npm10 >= 10.23.1-1.30.1
Patchnames:
SUSE-SLE-Module-Web-Scripting-15-SP1-2021-60
SUSE Linux Enterprise Module for Web Scripting 15 SP2
  • nodejs10 >= 10.23.1-1.30.1
  • nodejs10-devel >= 10.23.1-1.30.1
  • nodejs10-docs >= 10.23.1-1.30.1
  • nodejs12 >= 12.20.1-4.10.1
  • nodejs12-devel >= 12.20.1-4.10.1
  • nodejs12-docs >= 12.20.1-4.10.1
  • nodejs14 >= 14.15.4-5.6.1
  • nodejs14-devel >= 14.15.4-5.6.1
  • nodejs14-docs >= 14.15.4-5.6.1
  • nodejs8 >= 8.17.0-10.6.1
  • nodejs8-devel >= 8.17.0-10.6.1
  • nodejs8-docs >= 8.17.0-10.6.1
  • npm10 >= 10.23.1-1.30.1
  • npm12 >= 12.20.1-4.10.1
  • npm14 >= 14.15.4-5.6.1
  • npm8 >= 8.17.0-10.6.1
Patchnames:
SUSE-SLE-Module-Web-Scripting-15-SP2-2021-121
SUSE-SLE-Module-Web-Scripting-15-SP2-2021-60
SUSE-SLE-Module-Web-Scripting-15-SP2-2021-61
SUSE-SLE-Module-Web-Scripting-15-SP2-2021-62
SUSE Linux Enterprise Server 15-LTSS
  • nodejs10 >= 10.23.1-1.30.1
  • nodejs10-devel >= 10.23.1-1.30.1
  • nodejs10-docs >= 10.23.1-1.30.1
  • npm10 >= 10.23.1-1.30.1
Patchnames:
SUSE-SLE-Product-SLES-15-2021-60
SUSE Linux Enterprise Server for SAP Applications 15
  • nodejs10 >= 10.23.1-1.30.1
  • nodejs10-devel >= 10.23.1-1.30.1
  • nodejs10-docs >= 10.23.1-1.30.1
  • npm10 >= 10.23.1-1.30.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2021-60
openSUSE Leap 15.1
  • nodejs10 >= 10.23.1-lp151.2.15.1
  • nodejs10-debuginfo >= 10.23.1-lp151.2.15.1
  • nodejs10-debugsource >= 10.23.1-lp151.2.15.1
  • nodejs10-devel >= 10.23.1-lp151.2.15.1
  • nodejs10-docs >= 10.23.1-lp151.2.15.1
  • npm10 >= 10.23.1-lp151.2.15.1
Patchnames:
openSUSE-2021-82
openSUSE Leap 15.2
  • nodejs10 >= 10.23.1-lp152.2.9.1
  • nodejs10-debuginfo >= 10.23.1-lp152.2.9.1
  • nodejs10-debugsource >= 10.23.1-lp152.2.9.1
  • nodejs10-devel >= 10.23.1-lp152.2.9.1
  • nodejs10-docs >= 10.23.1-lp152.2.9.1
  • nodejs12 >= 12.20.1-lp152.3.9.1
  • nodejs12-debuginfo >= 12.20.1-lp152.3.9.1
  • nodejs12-debugsource >= 12.20.1-lp152.3.9.1
  • nodejs12-devel >= 12.20.1-lp152.3.9.1
  • nodejs12-docs >= 12.20.1-lp152.3.9.1
  • nodejs14 >= 14.15.4-lp152.5.1
  • nodejs14-debuginfo >= 14.15.4-lp152.5.1
  • nodejs14-debugsource >= 14.15.4-lp152.5.1
  • nodejs14-devel >= 14.15.4-lp152.5.1
  • nodejs14-docs >= 14.15.4-lp152.5.1
  • npm10 >= 10.23.1-lp152.2.9.1
  • npm12 >= 12.20.1-lp152.3.9.1
  • npm14 >= 14.15.4-lp152.5.1
Patchnames:
openSUSE-2021-64
openSUSE-2021-65
openSUSE-2021-66

List of packages in QA

Product(s) Package(s)
SUSE CaaS Platform 4.0
  • nodejs8 >= 8.17.0-3.42.2
  • nodejs8-debuginfo >= 8.17.0-3.42.2
  • nodejs8-debugsource >= 8.17.0-3.42.2
  • nodejs8-devel >= 8.17.0-3.42.2
  • nodejs8-docs >= 8.17.0-3.42.2
  • npm8 >= 8.17.0-3.42.2
SUSE Enterprise Storage 6
  • nodejs8 >= 8.17.0-3.42.2
  • nodejs8-debuginfo >= 8.17.0-3.42.2
  • nodejs8-debugsource >= 8.17.0-3.42.2
  • nodejs8-devel >= 8.17.0-3.42.2
  • nodejs8-docs >= 8.17.0-3.42.2
  • npm8 >= 8.17.0-3.42.2
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS
  • nodejs8 >= 8.17.0-3.42.2
  • nodejs8-debuginfo >= 8.17.0-3.42.2
  • nodejs8-debugsource >= 8.17.0-3.42.2
  • nodejs8-devel >= 8.17.0-3.42.2
  • nodejs8-docs >= 8.17.0-3.42.2
  • npm8 >= 8.17.0-3.42.2
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS
  • nodejs8 >= 8.17.0-3.42.2
  • nodejs8-debuginfo >= 8.17.0-3.42.2
  • nodejs8-debugsource >= 8.17.0-3.42.2
  • nodejs8-devel >= 8.17.0-3.42.2
  • nodejs8-docs >= 8.17.0-3.42.2
  • npm8 >= 8.17.0-3.42.2
SUSE Linux Enterprise High Performance Computing 15-ESPOS
  • nodejs8 >= 8.17.0-3.42.2
  • nodejs8-debuginfo >= 8.17.0-3.42.2
  • nodejs8-debugsource >= 8.17.0-3.42.2
  • nodejs8-devel >= 8.17.0-3.42.2
  • nodejs8-docs >= 8.17.0-3.42.2
  • npm8 >= 8.17.0-3.42.2
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • nodejs8 >= 8.17.0-3.42.2
  • nodejs8-debuginfo >= 8.17.0-3.42.2
  • nodejs8-debugsource >= 8.17.0-3.42.2
  • nodejs8-devel >= 8.17.0-3.42.2
  • nodejs8-docs >= 8.17.0-3.42.2
  • npm8 >= 8.17.0-3.42.2
SUSE Linux Enterprise Server 15 SP1-BCL
  • nodejs8 >= 8.17.0-3.42.2
  • nodejs8-debuginfo >= 8.17.0-3.42.2
  • nodejs8-debugsource >= 8.17.0-3.42.2
  • nodejs8-devel >= 8.17.0-3.42.2
  • nodejs8-docs >= 8.17.0-3.42.2
  • npm8 >= 8.17.0-3.42.2
SUSE Linux Enterprise Server 15 SP1-LTSS
  • nodejs8 >= 8.17.0-3.42.2
  • nodejs8-debuginfo >= 8.17.0-3.42.2
  • nodejs8-debugsource >= 8.17.0-3.42.2
  • nodejs8-devel >= 8.17.0-3.42.2
  • nodejs8-docs >= 8.17.0-3.42.2
  • npm8 >= 8.17.0-3.42.2
SUSE Linux Enterprise Server 15-LTSS
  • nodejs8 >= 8.17.0-3.42.2
  • nodejs8-debuginfo >= 8.17.0-3.42.2
  • nodejs8-debugsource >= 8.17.0-3.42.2
  • nodejs8-devel >= 8.17.0-3.42.2
  • nodejs8-docs >= 8.17.0-3.42.2
  • npm8 >= 8.17.0-3.42.2
SUSE Linux Enterprise Server for SAP Applications 15
  • nodejs8 >= 8.17.0-3.42.2
  • nodejs8-debuginfo >= 8.17.0-3.42.2
  • nodejs8-debugsource >= 8.17.0-3.42.2
  • nodejs8-devel >= 8.17.0-3.42.2
  • nodejs8-docs >= 8.17.0-3.42.2
  • npm8 >= 8.17.0-3.42.2
SUSE Linux Enterprise Server for SAP Applications 15 SP1
  • nodejs8 >= 8.17.0-3.42.2
  • nodejs8-debuginfo >= 8.17.0-3.42.2
  • nodejs8-debugsource >= 8.17.0-3.42.2
  • nodejs8-devel >= 8.17.0-3.42.2
  • nodejs8-docs >= 8.17.0-3.42.2
  • npm8 >= 8.17.0-3.42.2
SUSE Manager Proxy 4.0
  • nodejs8 >= 8.17.0-3.42.2
  • nodejs8-debuginfo >= 8.17.0-3.42.2
  • nodejs8-debugsource >= 8.17.0-3.42.2
  • nodejs8-devel >= 8.17.0-3.42.2
  • nodejs8-docs >= 8.17.0-3.42.2
  • npm8 >= 8.17.0-3.42.2
SUSE Manager Retail Branch Server 4.0
  • nodejs8 >= 8.17.0-3.42.2
  • nodejs8-debuginfo >= 8.17.0-3.42.2
  • nodejs8-debugsource >= 8.17.0-3.42.2
  • nodejs8-devel >= 8.17.0-3.42.2
  • nodejs8-docs >= 8.17.0-3.42.2
  • npm8 >= 8.17.0-3.42.2
SUSE Manager Server 4.0
  • nodejs8 >= 8.17.0-3.42.2
  • nodejs8-debuginfo >= 8.17.0-3.42.2
  • nodejs8-debugsource >= 8.17.0-3.42.2
  • nodejs8-devel >= 8.17.0-3.42.2
  • nodejs8-docs >= 8.17.0-3.42.2
  • npm8 >= 8.17.0-3.42.2


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 4.0 nodejs8 In progress
SUSE Enterprise Storage 6 nodejs8 In progress
SUSE Linux Enterprise 12 Module for Web and Scripting nodejs10 Released
SUSE Linux Enterprise 12 Module for Web and Scripting nodejs12 Released
SUSE Linux Enterprise 12 Module for Web and Scripting nodejs14 Released
SUSE Linux Enterprise 12 Module for Web and Scripting nodejs4 Not affected
SUSE Linux Enterprise 12 Module for Web and Scripting nodejs6 Not affected
SUSE Linux Enterprise 15-SP1 Module for Web and Scripting nodejs10 Released
SUSE Linux Enterprise 15-SP1 Module for Web and Scripting nodejs8 In progress
SUSE Linux Enterprise 15-SP2 Module for Web and Scripting nodejs10 Released
SUSE Linux Enterprise 15-SP2 Module for Web and Scripting nodejs12 Released
SUSE Linux Enterprise 15-SP2 Module for Web and Scripting nodejs14 Released
SUSE Linux Enterprise 15-SP2 Module for Web and Scripting nodejs8 Released
SUSE Linux Enterprise High Performance Computing 15 LTSS nodejs10 Affected
SUSE Linux Enterprise High Performance Computing 15 LTSS nodejs8 In progress
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS nodejs8 In progress
SUSE Linux Enterprise Server 15 LTSS nodejs10 Affected
SUSE Linux Enterprise Server 15 LTSS nodejs8 In progress
SUSE Linux Enterprise Server 15 SP1 Business Critical Linux nodejs8 In progress
SUSE Linux Enterprise Server 15 SP1 LTSS nodejs8 In progress
SUSE Linux Enterprise Server ESPOS 15 nodejs10 Affected
SUSE Linux Enterprise Server ESPOS 15 nodejs8 In progress
SUSE Linux Enterprise Server for SAP Applications 15 nodejs10 Affected
SUSE Linux Enterprise Server for SAP Applications 15 nodejs8 In progress
SUSE Linux Enterprise Server for SAP Applications 15 SP1 nodejs8 In progress
SUSE Manager Proxy 4.0 nodejs8 In progress
SUSE Manager Retail Branch Server 4.0 nodejs8 In progress
SUSE Manager Server 4.0 nodejs8 In progress
SUSE OpenStack Cloud 7 nodejs6 Not affected
SUSE OpenStack Cloud Crowbar 8 nodejs6 Not affected
SUSE OpenStack Cloud Crowbar 9 nodejs6 Not affected